Bug 1272817 - [Usability] When changing products, don't clear other fields if their values are still valid for the new product
[Usability] When changing products, don't clear other fields if their values ...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 21:16 EDT by Jason McDonald
Modified: 2015-12-15 21:13 EST (History)
6 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 21:13:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-10-18 21:16:33 EDT
Description of problem:
When changing the Product on a bug, the Component and Subcomponent fields get cleared.  This wastes time for users who are moving bugs between products that have similar (and large) component lists (e.g. RHEL 5, 6 and 7).  That is quite a common use-case for RHEL PM's and engineers.

If a user moves a bug to a product where the Component is still valid, the Component should remain and the user should not be forced to make another selection.  The same should be true for the Subcomponent.

Version-Release number of selected component (if applicable):
4.4.9039

How reproducible:
Always

Steps to Reproduce:
1. Choose a bug from https://bugzilla.redhat.com/buglist.cgi?classification=Red%20Hat&component=kernel&product=Red%20Hat%20Enterprise%20Linux%206&rh_sub_components=File%20Systems%20Other
2. Change the product to Red Hat Enterprise Linux 7
3. Measure how long it takes you to put the bug back in the same Component and subcomponent it started with.

Actual results:
After step 2, the Component field is cleared and the Subcomponent field vanishes.
The best time I could manage for Steps 2 and 3 was 24 seconds.

Expected results:
When changing a bug from RHEL6 to RHEL7, only the fields that aren't still valid for RHEL7 get cleared.

Additional info:
none
Comment 1 Jason McDonald 2015-10-18 23:22:44 EDT
No, this should be fixed for 4.4. It is a direct consequence of the recent BZ upgrade and is causing our users significant frustration.
Comment 4 Jeff Fearn 2015-10-20 02:07:02 EDT
Removing dep as I believe we can change this without impacting the work Hao is doing.
Comment 5 Hui Wang 2015-11-11 02:13:06 EST
Verified this issue.
The result is PASS
Version:
rh-bugzilla-4.4.10044-1.el6.noarch
Steps: 
1. Choose one bug of RHEL7 
2. Edit the bug and change the bug's product RHEL6/RHEL5
3. Result: if RHEL6 and RHEL5 have the same component and subcomponent, the component and subcomponent are not cleared in the field
Comment 6 Hui Wang 2015-11-11 02:13:27 EST
Verified this issue.
The result is PASS
Version:
rh-bugzilla-4.4.10044-1.el6.noarch
Steps: 
1. Choose one bug of RHEL7 
2. Edit the bug and change the bug's product RHEL6/RHEL5
3. Result: if RHEL6 and RHEL5 have the same component and subcomponent, the component and subcomponent are not cleared in the field
Comment 7 Matt Tyson 2015-12-15 21:13:54 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.